# sb::Admin::Quickpost
# == Author(s) : Takuya Otani <takuya.otani@gmail.com> ==
# == Copyright (C) 2005 SimpleBoxes/SerendipityNZ Ltd. ==

# ======================================
package sb::Admin::Quickpost;
use strict;
use sb::Admin::Entry ();
use base qw( sb::Admin::Entry );
use vars qw( $VERSION );
$VERSION = '0.03';
# 0.03 [2007/11/05] added title_name
# 0.02 [2007/09/09] ported from Serene Bach 2.* (sb::Admin::Bookmarklet)
# 0.01 [2005/06/07] implement bookmarklet
# 0.00 [2005/04/09] generate
# --------------------------------------
# // override base class
sub title_name
{
	my $self = shift;
	my $title = $self->SUPER::title_name();
	return $title if ($title);
	return sb->string(' &gt; Quickpost');
}
# --------------------------------------
# // public functions
sub callback
{
	my $self = shift;
	return $self->SUPER::callback(@_);
}
# --------------------------------------
# // override base class
sub set_onload
{
	my $self = shift;
	my $output = 'bm" onload="sbit(';
	$output .= "'" . $self->cgi->value('_t') . "',";
	$output .= "'" . $self->cgi->value('_u') . "',";
	$output .= "'" . $self->cgi->value('_b') . "')";
	return $output;
}
1;
__END__
